> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

> Box AI Studio APIを使用して、組織内のすべてのAIエージェントのリストを取得します。

# エージェントのリストの取得

export const MultiRelatedLinks = ({sections = []}) => {
  if (!sections || sections.length === 0) {
    return null;
  }
  return <div className="space-y-8">
      {sections.map((section, index) => <RelatedLinks key={index} title={section.title} items={section.items} />)}
    </div>;
};

export const RelatedLinks = ({title, items = []}) => {
  const getBadgeClass = badge => {
    if (!badge) return "badge-default";
    const badgeType = badge.toLowerCase().replace(/\s+/g, "-");
    return `badge-${badge === "ガイド" ? "guide" : badgeType}`;
  };
  if (!items || items.length === 0) {
    return null;
  }
  return <div className="my-8">
      {}
      <h3 className="text-sm font-bold uppercase tracking-wider mb-4">{title}</h3>

      {}
      <div className="flex flex-col gap-3">
        {items.map((item, index) => <a key={index} href={item.href} className="py-2 px-3 rounded related_link hover:bg-[#f2f2f2] dark:hover:bg-[#111827] flex items-center gap-3 group no-underline hover:no-underline border-b-0">
            {}
            <span className={`px-2 py-1 rounded-full text-xs font-semibold uppercase tracking-wide flex-shrink-0 ${getBadgeClass(item.badge)}`}>
              {item.badge}
            </span>

            {}
            <span className="text-base">{item.label}</span>
          </a>)}
      </div>
    </div>;
};

export const Link = ({href, children, className, ...props}) => {
  const localizedHref = localizeLink(href);
  return <a href={localizedHref} className={className} {...props}>
      {children}
    </a>;
};

<Warning>
  Box AI Studioは、Enterprise Advancedアカウントでのみ使用できます。
</Warning>

`GET /2.0/ai_agents`エンドポイントによって、組織内のすべてのAIエージェントのリストを取得できます。モード、状態、フィールドで絞り込むこともできます。

## 開始する前に

Platformアプリを作成し、開発者トークンを生成するには、<Link href="/guides/ai-studio/getting-started-ai-studio">AI Studioの使い方</Link>の手順を完了していることを確認してください。

## リクエストの送信

<CodeGroup>
  ```sh cURL theme={null}
  curl -i -X GET "https://api.box.com/2.0/ai_agents" \
       -H "authorization: Bearer <ACCESS_TOKEN>"
  ```

  ```typescript Node/TypeScript v10 theme={null}
  await client.aiStudio.getAiAgents();
  ```

  ```python Python v10 theme={null}
  client.ai_studio.get_ai_agents()
  ```

  ```csharp .NET v10 theme={null}
  await client.AiStudio.GetAiAgentsAsync();
  ```

  ```swift Swift v10 theme={null}
  try await client.aiStudio.getAiAgents()
  ```

  ```java Java v10 theme={null}
  client.getAiStudio().getAiAgents()
  ```
</CodeGroup>

### パラメータ

コールを実行する際に、以下のパラメータを渡すことができます。

| パラメータ                 | 説明                                                               | 例                                                   |
| --------------------- | ---------------------------------------------------------------- | --------------------------------------------------- |
| `mode`                | 返されるエージェント構成にフィルタをかけるためのモード。使用可能な値は`ask`、`text_gen`、`extract`です。 | `ask`                                               |
| `fields`              | レスポンスで返されるフィールド。値は`ask`、`text_gen`、`extract`のいずれかです。             | `ask`                                               |
| `agent_state`         | 返されるエージェントの状態。値は`enabled`、`disabled`のいずれかです。                     | `enabled`                                           |
| `include_box_default` | レスポンスにBoxのデフォルトエージェントを含めるかどうか。                                   | `true`                                              |
| `limit`               | 返す項目の1ページあたりの最大数。                                                | `1000`                                              |
| `marker`              | 結果が返される開始位置のマーカー。                                                | `JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii` |

<RelatedLinks
  title="関連するガイド"
  items={[
{ label: translate("Developer Tokens"), href: "/guides/authentication/tokens/developer-tokens", badge: "GUIDE" },
{ label: translate("Ask questions to Box AI"), href: "/guides/box-ai/ai-tutorials/ask-questions", badge: "GUIDE" },
{ label: translate("Override AI model configuration"), href: "/guides/box-ai/ai-tutorials/default-agent-overrides", badge: "GUIDE" },
{ label: translate("Generate text with Box AI"), href: "/guides/box-ai/ai-tutorials/generate-text", badge: "GUIDE" },
{ label: translate("Extract metadata from file (structured)"), href: "/guides/box-ai/ai-tutorials/extract-metadata-structured", badge: "GUIDE" },
{ label: translate("Extract metadata from file (freeform)"), href: "/guides/box-ai/ai-tutorials/extract-metadata", badge: "GUIDE" }
]}
/>
